Subject: Re: bug#76950: tramp caches non-existing podman containers

From: Michael Albinus <[email-masked]>
Date: Wed, 12 Mar 2025 13:36:06 +0100

Konstantin Kharlamov <[email-masked]> writes:

Hi Konstantin,
 
>> --8<---------------cut here---------------start------------->8---
>>    Remote hosts previously visited or hosts whose connections are
>> kept
>> persistently (*note Connection caching::) will be included in the
>> completion lists.  If you want to suppress this completion because
>> there
>> are invalid entries in the persistency file, for example if the host
>> configuration changes often, or if you plug your laptop to different
>> networks frequently, you can set the user option
>> ‘tramp-completion-use-cache’ to ‘nil’.
>> --8<---------------cut here---------------end--------------->8---
>
> Thanks! Note though that your workaround is about disabling cache for
> tramp globally, so isn't useful. But thanks anyway 😊

Well, using the global tramp-completion-use-cache is not intended as
workaround, but as solution (so far). But I see your point.

Best regards, Michael.